Consulta de métrica estructurada de rango (cuerpo del formulario)
curl --request POST \
--url https://telemetry.{region}.basaltic.sh/v1/metrics/query_range \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data metric=http_requests_total \
--data start=2026-01-15T09:00:00Z \
--data end=2026-01-15T10:00:00Z \
--data-urlencode 'match%5B%5D=<string>' \
--data-urlencode 'by%5B%5D=<string>' \
--data step=15simport requests
url = "https://telemetry.{region}.basaltic.sh/v1/metrics/query_range"
payload = {
"metric": "http_requests_total",
"start": "2026-01-15T09:00:00Z",
"end": "2026-01-15T10:00:00Z",
"match[]": "<string>",
"by[]": "<string>",
"step": "15s"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
metric: 'http_requests_total',
start: '2026-01-15T09:00:00Z',
end: '2026-01-15T10:00:00Z',
'match[]': '<string>',
'by[]': '<string>',
step: '15s'
})
};
fetch('https://telemetry.{region}.basaltic.sh/v1/metrics/query_range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Consulta por intervalo
Consulta de métrica estructurada de rango (cuerpo del formulario)
Igual que GET pero acepta cuerpo codificado en forma para conjuntos de emparejador largos.
POST
/
v1
/
metrics
/
query_range
Consulta de métrica estructurada de rango (cuerpo del formulario)
Requiere la acción de IAM
telemetry:ReadMetrics. Consulte permisos de telemetría para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Cuerpo
application/x-www-form-urlencoded
Respuesta
Respuesta de la matriz de Prometeo
The response is of type object.

